diff --git a/Makefile.am b/Makefile.am
index b00b7bc..1c6f12b 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,15 +1,53 @@
-ACLOCAL_AMFLAGS = -I m4
-
 SUBDIRS = doc
 
 dist_bin_SCRIPTS = mmaker
 
-nobase_dist_pkgdata_DATA = *.py MenuMaker/*.py Prophet/*.py Prophet/Desktop/*.py Prophet/Legacy/*.py Prophet/Debian/*.py Prophet/Debian/menu/*
+python_PYTHON = \
+	Config.py \
+	Keywords.py \
+	Paths.py
+
+pythonMenuMakerdir = $(pythondir)/MenuMaker
+pythonMenuMaker_PYTHON = \
+	MenuMaker/BlackBox.py \
+	MenuMaker/CLI.py \
+	MenuMaker/Deskmenu.py \
+	MenuMaker/FluxBox.py \
+	MenuMaker/IceWM.py \
+	MenuMaker/__init__.py \
+	MenuMaker/OpenBox3.py \
+	MenuMaker/PekWM.py \
+	MenuMaker/WindowMaker.py \
+	MenuMaker/xBox.py \
+	MenuMaker/Xfce4.py
+
+pythonProphetdir = $(pythondir)/Prophet
+pythonProphet_PYTHON = \
+	Prophet/Categories.py \
+	Prophet/__init__.py
+
+pythonProphetDesktopdir = $(pythondir)/Prophet/Desktop
+pythonProphetDesktop_PYTHON = \
+	Prophet/Desktop/__init__.py
+
+pythonProphetLegacydir = $(pythondir)/Prophet/Legacy
+pythonProphetLegacy_PYTHON = \
+	Prophet/Legacy/Development.py \
+	Prophet/Legacy/Editor.py \
+	Prophet/Legacy/Emulator.py \
+	Prophet/Legacy/Graphics.py \
+	Prophet/Legacy/__init__.py \
+	Prophet/Legacy/Multimedia.py \
+	Prophet/Legacy/Network.py \
+	Prophet/Legacy/Shell.py
 
-install-exec-local :
-	echo "#!/usr/bin/env $(PYTHON_BIN)" > $(DESTDIR)/$(bindir)/mmaker
-	echo "import sys; sys.path = ['$(pkgdatadir)'] + sys.path" >> $(DESTDIR)/$(bindir)/mmaker
-	echo "import MenuMaker.CLI" >> $(DESTDIR)/$(bindir)/mmaker
+pythonProphetDebiandir = $(pythondir)/Prophet/Debian
+pythonProphetDebian_PYTHON = \
+	Prophet/Debian/__init__.py
 
-install-data-local :
-	$(PYTHON) -c 'import compileall; compileall.compile_dir(dir="$(DESTDIR)/$(pkgdatadir)", ddir="$(pkgdatadir)")'
+pythonProphetDebianMenudir = $(pythondir)/Prophet/Debian/menu
+dist_pythonProphetDebianMenu_DATA = \
+	Prophet/Debian/menu/debian-2.2r5 \
+	Prophet/Debian/menu/debian-8.1 \
+	Prophet/Debian/menu/ubuntu-5.04 \
+	Prophet/Debian/menu/ubuntu-5.10
diff --git a/configure.ac b/configure.ac
index 248ffcb..1bde23b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,22 +2,12 @@ AC_INIT(MenuMaker, 0.99.11)
 
 AM_INIT_AUTOMAKE
 
-#AZ_PYTHON_DEFAULT
+AM_PATH_PYTHON
 
-#AZ_PYTHON_WITH
-
-#if test -z "$PYTHON"; then
-#    AZ_PYTHON_PATH
-#fi
-
-#AZ_PYTHON_VERSION_ENSURE([2.7])
-
-#AZ_PYTHON_RUN
-
-AX_PYTHON
-
-AC_CONFIG_FILES([Makefile])
-AC_CONFIG_FILES([doc/Makefile])
-AC_CONFIG_FILES([Config.py])
+AC_CONFIG_FILES([
+	Makefile
+	doc/Makefile
+	Config.py
+])
 
 AC_OUTPUT
